Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class Stub

    java.lang.Object
      |
      +--org.apache.axis.client.Stub

All Implemented Interfaces:
  Stub

public abstract class Stub
extends java.lang.Object
implements Stub

This class is the base for all generated stubs.

Field Summary
`protected java.net.URL` | `cachedEndpoint`
`protected java.lang.String` | `cachedPassword`
`protected QName` | `cachedPortName`
`protected java.util.Properties` | `cachedProperties`
`protected java.lang.Integer` | `cachedTimeout`
`protected java.lang.String` | `cachedUsername`
`protected boolean` | `maintainSession`
`protected boolean` | `maintainSessionSet`
`protected Service` | `service`

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`Stub()`

Method Summary
`java.lang.Object` | `_getProperty(java.lang.String name)` Gets the value of a named property.
`java.util.Iterator` | `_getPropertyNames()` Return the names of configurable properties for this stub class.
`void` | `_setProperty(java.lang.String name, java.lang.Object value)` Sets the value for a named property.
`protected boolean` | `firstCall()` Is this the first time the type mappings are being registered?
`java.lang.String` | `getPassword()` Get the password
`QName` | `getPortName()` Get the port name.
`int` | `getTimeout()` Get the timeout value in milliseconds.
`java.lang.String` | `getUsername()` Get the user name
`void` | `setMaintainSession(boolean session)` If set to true, session is maintained; if false, it is not.
`void` | `setPassword(java.lang.String password)` Set the password.
`void` | `setPortName(QName portName)` Set the port QName.
`void` | `setPortName(java.lang.String portName)` Set the port name.
`void` | `setTimeout(int timeout)` Set the timeout in milliseconds.
`void` | `setUsername(java.lang.String username)` Set the username.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service

    protected Service service

### maintainSessionSet

    protected boolean maintainSessionSet

### maintainSession

    protected boolean maintainSession

### cachedProperties

    protected java.util.Properties cachedProperties

### cachedUsername

    protected java.lang.String cachedUsername

### cachedPassword

    protected java.lang.String cachedPassword

### cachedEndpoint

    protected java.net.URL cachedEndpoint

### cachedTimeout

    protected java.lang.Integer cachedTimeout

### cachedPortName

    protected QName cachedPortName

Constructor Detail

### Stub

    public Stub()

Method Detail

### firstCall

    protected boolean firstCall()

  Is this the first time the type mappings are being registered?

### _setProperty

    public void _setProperty(java.lang.String name,
                             java.lang.Object value)

  Sets the value for a named property. JAX-RPC 1.0 specification specifies a standard set of properties that may be passed to the Stub._setProperty method. These properties include:
  - javax.xml.rpc.security.auth.username: Username for the HTTP Basic Authentication
  - javax.xml.rpc.security.auth.password: Password for the HTTP Basic Authentication
  - javax.xml.rpc.service.endpoint.address: Target service endpoint address.
  - [TBD: Additional properties]
  Specified by:
    `_setProperty` in interface `Stub`
  Parameters:
    `name` - - Name of the property
    `value` - - Value of the property

### _getProperty

    public java.lang.Object _getProperty(java.lang.String name)

  Gets the value of a named property.
  Specified by:
    `_getProperty` in interface `Stub`
  Parameters:
    `name` -
  Returns:
    the value of a named property.

### _getPropertyNames

    public java.util.Iterator _getPropertyNames()

  Return the names of configurable properties for this stub class.
  Specified by:
    `_getPropertyNames` in interface `Stub`
  Following copied from interface: `javax.xml.rpc.Stub`
  Returns:
    Iterator for the property names of the type `java.lang.String`

### setUsername

    public void setUsername(java.lang.String username)

  Set the username.

### getUsername

    public java.lang.String getUsername()

  Get the user name

### setPassword

    public void setPassword(java.lang.String password)

  Set the password.

### getPassword

    public java.lang.String getPassword()

  Get the password

### getTimeout

    public int getTimeout()

  Get the timeout value in milliseconds. 0 means no timeout.

### setTimeout

    public void setTimeout(int timeout)

  Set the timeout in milliseconds.

### getPortName

    public QName getPortName()

  Get the port name.

### setPortName

    public void setPortName(QName portName)

  Set the port QName.

### setPortName

    public void setPortName(java.lang.String portName)

  Set the port name.

### setMaintainSession

    public void setMaintainSession(boolean session)

  If set to true, session is maintained; if false, it is not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.